## deepin-update-manager 1.0.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: None
#
# SPDX-License-Identifier: CC0-1.0

cmake_minimum_required(VERSION 3.16.0)
project(deepin-update-manager
    VERSION 0.1.0
    LANGUAGES C CXX
)

set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

include(GNUInstallDirs)

find_package(Qt6 REQUIRED COMPONENTS Core DBus Network)
find_package(PolkitQt6-1 REQUIRED)
find_package(PkgConfig)

pkg_check_modules(libsystemd REQUIRED IMPORTED_TARGET libsystemd)
pkg_check_modules(openssl REQUIRED IMPORTED_TARGET openssl)

pkg_search_module(systemd REQUIRED systemd)
pkg_get_variable(SYSUSERS_DIR systemd sysusers_dir)
pkg_get_variable(SYSTEMD_SYSTEM_UNIT_DIR systemd systemd_system_unit_dir)

pkg_search_module(DBUS REQUIRED dbus-1)
pkg_get_variable(DBUS_DATA_DIR dbus-1 datadir)
if(DBUS_DATA_DIR)
    set(DBUS_DATA_DIR "${DBUS_DATA_DIR}/dbus-1")
else()
    set(DBUS_DATA_DIR "${CMAKE_INSTALL_DATADIR}/dbus-1")
endif()

add_subdirectory(src)

install(
    FILES
        misc/polkit-1/actions/org.deepin.UpdateManager.policy
    DESTINATION
        ${CMAKE_INSTALL_DATADIR}/polkit-1/actions
)

install(
    FILES
        misc/polkit-1/rules.d/org.deepin.update-manager.rules
    DESTINATION
        ${CMAKE_INSTALL_DATADIR}/polkit-1/rules.d
)

install(
    FILES misc/sysusers.d/deepin-update-manager.conf
    DESTINATION ${SYSUSERS_DIR}
)

install(
    FILES
        misc/systemd/system/deepin-update-manager.service
        misc/systemd/system/dum-list-remote-refs-stdout.socket
        misc/systemd/system/dum-list-remote-refs.service
        misc/systemd/system/dum-upgrade-stdout.socket
        misc/systemd/system/dum-upgrade@.service
    DESTINATION
        ${SYSTEMD_SYSTEM_UNIT_DIR}
)

install(
    FILES misc/dbus/system.d/org.deepin.UpdateManager1.conf
    DESTINATION ${DBUS_DATA_DIR}/system.d
)

install(
    FILES misc/dbus/system-services/org.deepin.UpdateManager1.service
    DESTINATION ${DBUS_DATA_DIR}/system-services
)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: None
#
# SPDX-License-Identifier: CC0-1.0

set(BIN_NAME deepin-update-manager)

set(DUM_SOURCES
    main.cpp
    ManagerAdaptor.h
    ManagerAdaptor.cpp
    Branch.h
    Branch.cpp
    Idle.cpp
    Idle.h
)

qt_add_dbus_interface(DUM_SOURCES org.freedesktop.systemd1.Manager.xml SystemdManagerInterface)
qt_add_dbus_interface(DUM_SOURCES org.freedesktop.systemd1.Unit.xml SystemdUnitInterface)

add_executable(${BIN_NAME}
    ${DUM_SOURCES}
)

target_link_libraries(${BIN_NAME} PRIVATE
    PkgConfig::libsystemd
    PkgConfig::openssl
    Qt6::Core
    Qt6::DBus
    Qt6::Network
    PolkitQt6-1::Core
)

install(
    TARGETS ${BIN_NAME}
    RUNTIME DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}
)

=== debian/changelog ===
deepin-update-manager (1.0.3) unstable; urgency=medium

  * feat: 空闲自动退出后，保存当前状态，下一次打开控制中心能读取到之前的状态
  * feat: 添加更新服务空闲1分钟退出

 -- fuleyi <fuleyi@uniontech.com>  Thu, 23 Jan 2025 10:25:01 +0800

deepin-update-manager (1.0.2) unstable; urgency=medium

  * fix: failed to check upgrade
  * feat: add authorization
  * fix: upgrade failed
  * fix: upgraded to wrong version
  * chore: remove unused files
  * fix: wrong state
  * chore: add missing dependencies
  * chore: fix REUSE specification compliant

 -- zsien <quezhiyong@deepin.org>  Thu, 19 Dec 2024 10:10:14 +0800

deepin-update-manager (1.0.1) unstable; urgency=medium

  * Initial release.

 -- zsien <quezhiyong@deepin.org>  Tue, 03 Dec 2024 10:29:24 +0800

=== debian/control ===
Source: deepin-update-manager
Section: admin
Priority: optional
Maintainer: zsien <quezhiyong@deepin.org>
Rules-Requires-Root: no
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libdbus-1-dev,
 libpolkit-qt6-1-dev,
 libssl-dev,
 libsystemd-dev,
 pkg-config,
 qt6-base-dev,
 systemd-dev,
Standards-Version: 4.7.0
Homepage: https://github.com/linuxdeepin/deepin-update-manager

Package: deepin-update-manager
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Deepin Update Manager
 Deepin Update Manager is a tool to manage the update of deepin

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# See FEATURE AREAS in dpkg-buildflags(1).
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# See ENVIRONMENT in dpkg-buildflags(1).
# Package maintainers to append CFLAGS.
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# Package maintainers to append LDFLAGS.
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@

execute_after_dh_installinit:
	dh_installsysusers
